declare const getCode: ({ port, authUrl, redirectUri }: {
    port?: number;
    authUrl?: string;
    redirectUri?: string;
}) => Promise<string>;

declare const getRefreshToken: ({ port, clientId, clientSecret, redirectUri, scope }: {
    port?: number;
    clientId?: string;
    clientSecret?: string;
    redirectUri?: string;
    scope?: string[];
}) => Promise<string>;

declare const defaultKey: {
    installed: {
        client_id: string;
        client_secret: string;
        project_id: string;
        auth_uri: string;
        token_uri: string;
        auth_provider_x509_cert_url: string;
        redirect_uris: string[];
    };
    scope: string[];
    chrome: {
        clientId: string;
        clientSecret: string;
        refreshToken: string;
    };
};
type Key = typeof defaultKey;
declare const getKeyFilePath: () => string;
declare const getKey: (createDefaultKey?: boolean) => Promise<{
    key: {
        installed: {
            client_id: string;
            client_secret: string;
            project_id: string;
            auth_uri: string;
            token_uri: string;
            auth_provider_x509_cert_url: string;
            redirect_uris: string[];
        };
        scope: string[];
        chrome: {
            clientId: string;
            clientSecret: string;
            refreshToken: string;
        };
    };
    keyFilePath: string;
}>;
declare const validateKey: (key: Key) => void;

export { Key, defaultKey, getCode, getKey, getKeyFilePath, getRefreshToken, validateKey };
